.\" $NetBSD: mca.4,v 1.18 2005/04/03 11:56:29 jdolecek Exp $
.\"
.\" Copyright (c) 2000, 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 3, 2005
.Dt MCA 4
.Os
.Sh NAME
.Nm mca
.Nd introduction to machine-independent MCA bus support and drivers
.Sh SYNOPSIS
.Cd "mca0 at mainbus?"
.Pp
.Cd options MCAVERBOSE
.Pp
Machine-dependent; depends on the bus topology and
.Tn MCA
bus interface of your system. Typical
.Tn MCA
buses are connected directly to the main system bus.
.Sh DESCRIPTION
.Nx
includes a machine-independent
.Tn MCA
bus subsystem and several machine-independent
.Tn MCA
device drivers.
.Sh HARDWARE
.Nx
includes machine-independent
.Tn MCA
drivers, sorted by device type and driver name:
.Pp
.\"
.Ss SCSI controllers
.Bl -tag -width speaker -offset indent
.It aha
Adaptec AHA-1640
.Tn SCSI
interface
.It esp
NCR 53C90
.Tn SCSI
Adapter
.El
.\"
.Ss Disk and tape controllers
.Bl -tag -width speaker -offset indent
.It edc
IBM ESDI Fixed Disk Controller
.El
.\"
.Ss Serial interfaces
.Bl -tag -width speaker -offset indent
.It com
NS8250-, NS16450-, and NS16550-based serial cards.
.El
.\"
.Ss Network interfaces
.Bl -tag -width speaker -offset indent
.It tr
TROPIC based token ring interfaces
.It ate
Allied-Telesis 1720 Ethernet interface cards
.It we
WD/SMC WD80x3x Ethernet interface cards and clones
.It le
SKNET Personal and MC+ Ethernet interface cards
.It elmc
3Com EtherLink/MC (3c523) Ethernet interface
.It ep
3Com EtherLink III 3c529 Ethernet interface
.It tra
Tiara LANCard/E and Standard MicroSystems 3016/MC Ethernet interface
.El
.\"
.Sh SEE ALSO
.Xr aha 4 ,
.Xr ate 4 ,
.Xr com 4 ,
.Xr edc 4 ,
.Xr elmc 4 ,
.Xr ep 4 ,
.Xr esp 4 ,
.Xr le 4 ,
.Xr ne 4 ,
.Xr tr 4 ,
.Xr tra 4 ,
.Xr we 4
.\"
.Sh HISTORY
The machine-independent
.Tn MCA
subsystem appeared in
.Nx 1.5 .
